Bug 1895795 - Review Request: setxkbmap - X11 keymap client
Summary: Review Request: setxkbmap - X11 keymap client
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Qiyu Yan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1867220
TreeView+ depends on / blocked
 
Reported: 2020-11-09 05:35 UTC by Peter Hutterer
Modified: 2020-11-13 00:42 UTC (History)
2 users (show)

Fixed In Version: setxkbmap-1.3.2-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-13 00:42:12 UTC
Type: ---
Embargoed:
yanqiyu01: fedora-review+


Attachments (Terms of Use)

Description Peter Hutterer 2020-11-09 05:35:53 UTC
Spec URL: https://fedorapeople.org/~whot/setxkbmap.spec
SRPM URL: https://fedorapeople.org/~whot/setxkbmap-1.3.2-2.fc33.src.rpm
Description: 
setxkbmap is an X11 client to change the keymaps in the X server for a
specified keyboard to use the layout determined by the options listed
on the command line.

Fedora Account System Username: whot


Note: this is package split. setxkbmap has been in xorg-x11-xkb-utils forever, that package is split up into individual packages for its components.

See https://fedoraproject.org/wiki/Changes/XorgUtilityDeaggregation for details

Comment 1 Qiyu Yan 2020-11-10 05:27:41 UTC
- Consider adding gpg check.
- add gcc as buildrequires

Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "FSF All Permissive License", "NTP
     License (legal disclaimer)", "NTP License (legal disclaimer)
     [generated file]", "FSF Unlimited License (with Retention) GNU General
     Public License v2.0 or later [generated file]", "GNU General Public
     License v2.0 or later [generated file]", "GNU General Public License
     v3.0 or later", "FSF Unlimited License [generated file]", "Expat
     License [generated file]", "[generated file]". 7 files have unknown
     license. Detailed output of licensecheck in
     /home/yan/review/1895795-setxkbmap/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: setxkbmap-1.3.2-2.fc34.x86_64.rpm
          setxkbmap-debuginfo-1.3.2-2.fc34.x86_64.rpm
          setxkbmap-debugsource-1.3.2-2.fc34.x86_64.rpm
          setxkbmap-1.3.2-2.fc34.src.rpm
setxkbmap.x86_64: W: spelling-error Summary(en_US) keymap -> key map, key-map, mapmaker
setxkbmap.x86_64: W: spelling-error %description -l en_US keymaps -> key maps, key-maps, makeups
setxkbmap.x86_64: W: obsolete-not-provided xorg-x11-xkb-utils
setxkbmap.src: W: spelling-error Summary(en_US) keymap -> key map, key-map, mapmaker
setxkbmap.src: W: spelling-error %description -l en_US keymaps -> key maps, key-maps, makeups
4 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: setxkbmap-debuginfo-1.3.2-2.fc34.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
setxkbmap.x86_64: W: spelling-error Summary(en_US) keymap -> key map, key-map, mapmaker
setxkbmap.x86_64: W: spelling-error %description -l en_US keymaps -> key maps, key-maps, makeups
setxkbmap.x86_64: W: invalid-url URL: https://www.x.org <urlopen error [Errno -3] Temporary failure in name resolution>
setxkbmap.x86_64: W: obsolete-not-provided xorg-x11-xkb-utils
setxkbmap-debugsource.x86_64: W: invalid-url URL: https://www.x.org <urlopen error [Errno -3] Temporary failure in name resolution>
setxkbmap-debuginfo.x86_64: W: invalid-url URL: https://www.x.org <urlopen error [Errno -3] Temporary failure in name resolution>
3 packages and 0 specfiles checked; 0 errors, 6 warnings.



Source checksums
----------------
https://www.x.org/pub/individual/app/setxkbmap-1.3.2.tar.bz2 :
  CHECKSUM(SHA256) this package     : 8ff27486442725e50b02d7049152f51d125ecad71b7ce503cfa09d5d8ceeb9f5
  CHECKSUM(SHA256) upstream package : 8ff27486442725e50b02d7049152f51d125ecad71b7ce503cfa09d5d8ceeb9f5


Requires
--------
setxkbmap (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libxkbfile.so.1()(64bit)
    rtld(GNU_HASH)

setxkbmap-debuginfo (rpmlib, GLIBC filtered):

setxkbmap-debugsource (rpmlib, GLIBC filtered):



Provides
--------
setxkbmap:
    setxkbmap
    setxkbmap(x86-64)

setxkbmap-debuginfo:
    debuginfo(build-id)
    setxkbmap-debuginfo
    setxkbmap-debuginfo(x86-64)

setxkbmap-debugsource:
    setxkbmap-debugsource
    setxkbmap-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1895795
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: fonts, PHP, Java, R, Haskell, Perl, Ocaml, SugarActivity, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Qiyu Yan 2020-11-10 08:17:25 UTC
and I think its better to use 
%make_build
%make_install 
in your spec file(both for setxkbmap and xkbcomp)

Comment 3 Peter Hutterer 2020-11-11 03:37:16 UTC
Thank you, changed to use:
- Requires: gcc
- %make_build


gpg signature check was *NOT* added. there is a signature upstream but it is signed by whoever does the releases. There is no fixed upstream maintainer either, so we'd have to juggle the gpg keyrings with every release.

Updated package available at the same URL:
Spec URL: https://fedorapeople.org/~whot/setxkbmap.spec
SRPM URL: https://fedorapeople.org/~whot/setxkbmap-1.3.2-2.fc33.src.rpm

Comment 4 Qiyu Yan 2020-11-11 05:35:53 UTC
Great, Approved.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "FSF All Permissive License", "NTP
     License (legal disclaimer)", "NTP License (legal disclaimer)
     [generated file]", "FSF Unlimited License (with Retention) GNU General
     Public License v2.0 or later [generated file]", "GNU General Public
     License v2.0 or later [generated file]", "GNU General Public License
     v3.0 or later", "FSF Unlimited License [generated file]", "Expat
     License [generated file]", "[generated file]". 7 files have unknown
     license. Detailed output of licensecheck in
     /home/yan/review/1895795-setxkbmap/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
     Upstream signature don't have a fixed keyring
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: setxkbmap-1.3.2-2.fc34.x86_64.rpm
          setxkbmap-debuginfo-1.3.2-2.fc34.x86_64.rpm
          setxkbmap-debugsource-1.3.2-2.fc34.x86_64.rpm
          setxkbmap-1.3.2-2.fc34.src.rpm
setxkbmap.x86_64: W: spelling-error Summary(en_US) keymap -> key map, key-map, mapmaker
setxkbmap.x86_64: W: spelling-error %description -l en_US keymaps -> key maps, key-maps, makeups
setxkbmap.x86_64: W: obsolete-not-provided xorg-x11-xkb-utils
setxkbmap.src: W: spelling-error Summary(en_US) keymap -> key map, key-map, mapmaker
setxkbmap.src: W: spelling-error %description -l en_US keymaps -> key maps, key-maps, makeups
4 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: setxkbmap-debuginfo-1.3.2-2.fc34.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
setxkbmap-debugsource.x86_64: W: invalid-url URL: https://www.x.org <urlopen error [Errno -3] Temporary failure in name resolution>
setxkbmap-debuginfo.x86_64: W: invalid-url URL: https://www.x.org <urlopen error [Errno -3] Temporary failure in name resolution>
setxkbmap.x86_64: W: spelling-error Summary(en_US) keymap -> key map, key-map, mapmaker
setxkbmap.x86_64: W: spelling-error %description -l en_US keymaps -> key maps, key-maps, makeups
setxkbmap.x86_64: W: invalid-url URL: https://www.x.org <urlopen error [Errno -3] Temporary failure in name resolution>
setxkbmap.x86_64: W: obsolete-not-provided xorg-x11-xkb-utils
3 packages and 0 specfiles checked; 0 errors, 6 warnings.



Source checksums
----------------
https://www.x.org/pub/individual/app/setxkbmap-1.3.2.tar.bz2 :
  CHECKSUM(SHA256) this package     : 8ff27486442725e50b02d7049152f51d125ecad71b7ce503cfa09d5d8ceeb9f5
  CHECKSUM(SHA256) upstream package : 8ff27486442725e50b02d7049152f51d125ecad71b7ce503cfa09d5d8ceeb9f5


Requires
--------
setxkbmap (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libxkbfile.so.1()(64bit)
    rtld(GNU_HASH)

setxkbmap-debuginfo (rpmlib, GLIBC filtered):

setxkbmap-debugsource (rpmlib, GLIBC filtered):



Provides
--------
setxkbmap:
    setxkbmap
    setxkbmap(x86-64)

setxkbmap-debuginfo:
    debuginfo(build-id)
    setxkbmap-debuginfo
    setxkbmap-debuginfo(x86-64)

setxkbmap-debugsource:
    setxkbmap-debugsource
    setxkbmap-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1895795
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: Perl, Ocaml, R, Java, SugarActivity, Haskell, PHP, fonts, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Gwyn Ciesla 2020-11-12 14:42:21 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/setxkbmap

Comment 6 Peter Hutterer 2020-11-13 00:42:12 UTC
setxkbmap-1.3.2-2.fc34 is available in rawhide now, thanks everyone


Note You need to log in before you can comment on or make changes to this bug.